#
# spec file for package pango (Version 1.10.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-xsl-stylesheets docbook_3 docbook_4 e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtkdoc gzip info insserv iso_ent klogd less libacl libattr libcom_err libdrm libgcc libgcrypt libgpg-error libnscd libpng libpng-devel libstdc++ libtool libxcrypt libxml2 libxslt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client openmotif-libs opensp openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed sgml-skel strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           pango
BuildRequires:  cairo-devel gtkdoc sgml-skel
%define prefix /opt/gnome
%define sysconfdir /etc%{prefix}
License:        LGPL
Group:          System/Libraries
Autoreqprov:    on
Version:        1.10.2
Release:        23.2
Summary:        System for Layout and Rendering of Internationalised Text
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/pango/1.10/%{name}-%{version}.tar.bz2
Source1:        SuSEconfig.pango
Source2:        README.SuSE
Patch:          pango64.patch
Patch1:         pango-ottest.patch
Patch2:         bugzilla-53228-artificial-bold-and-italic.patch
Patch3:         pango-131128-font-extents-rounding.diff
Patch4:         pango-104365-use-hinted-metrics.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         filesystem /usr/bin/touch /bin/rm /bin/rmdir
Requires:       cairo

%description
Pango is a library for layout and rendering of text, with an emphasis
on internationalisation. It forms the core of text and font handling in
GTK+ 2.0.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%debug_package
%package devel
Requires:       pango = %version glib2-devel glibc-devel %(rpm -q --whatprovides XFree86-devel --queryformat '%{NAME}')
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Autoreqprov:    on
Requires:       cairo-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%package doc
Requires:       pango = %version
Summary:        System for Layout and Rendering of Internationalised Text
Group:          System/Libraries
Autoreqprov:    on

%description doc
Pango is a library for layout and rendering of text, with an emphasis
on internationalisation. It forms the core of text and font handling in
GTK+ 2.0.



Authors:
--------
    Owen Taylor <otaylor@redhat.com>
    Changwoo Ryu <cwryu@adam.kaist.ac.kr>
    Sivaraj Doddannan <sivaraj@intelligroup.com> 

%prep
%setup -q
cp -a %{S:1} .
%if "%_lib" == "lib64"
cp -a %{S:2} .
%patch
%endif
%patch1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%{?suse_update_config:%{suse_update_config -f}}
aclocal
libtoolize --force
automake -a
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{prefix} \
	    --libdir=%{prefix}/%_lib	\
	    --mandir=%{prefix}/share/man \
	    --with-native-locale=yes \
	    --with-xinput=xfree \
	    --sysconfdir=%{sysconfdir} \
            --enable-gtk-doc=yes
make %{?jobs:-j %jobs}

%install
export LIBRARY_PATH=$RPM_BUILD_ROOT/opt/gnome/%{_lib}:$RPM_BUILD_ROOT/opt/gnome/%{_lib}/pango/modules
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin/conf.d
install -m 755 SuSEconfig.pango $RPM_BUILD_ROOT/sbin/conf.d
touch $RPM_BUILD_ROOT%{sysconfdir}/pango/pango.modules
%if "%_lib" == "lib64"
mv $RPM_BUILD_ROOT%{prefix}/bin/pango-querymodules\
 $RPM_BUILD_ROOT%{prefix}/bin/pango-querymodules-64
mv $RPM_BUILD_ROOT%{sysconfdir}/pango/pango.modules\
 $RPM_BUILD_ROOT%{sysconfdir}/pango/pango64.modules
%endif
# .la files for modules are not needed
rm $RPM_BUILD_ROOT%{prefix}/%_lib/pango/*/modules/*.la
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Remove orphan files and directories obsolete since 9.0.
rm -f etc/pango/pango.modules
rmdir etc/pango usr/lib/pango 2>/dev/null || true

%post
%run_ldconfig
touch var/adm/SuSEconfig/run-pango   

%postun
%run_ldconfig
touch var/adm/SuSEconfig/run-pango   

%files
%defattr(-,root,root)
%if "%_lib" == "lib64"
%doc README AUTHORS COPYING ChangeLog TODO README.SuSE
%else
%doc README AUTHORS COPYING ChangeLog TODO
%endif
%doc examples/HELLO.utf8
/sbin/conf.d/SuSEconfig.pango
%dir %{prefix}/%_lib/pango
%dir %{prefix}/%_lib/pango/1.4.0
%dir %{prefix}/%_lib/pango/1.4.0/modules
%{prefix}/%_lib/pango/1.4.0/modules/*.so
%{prefix}/%_lib/lib*.so.*
%{prefix}/bin/pango-*
%doc %{prefix}/share/man/man?/*.*
%dir %{sysconfdir}/pango
%{sysconfdir}/pango/pangox.aliases
%if "%_lib" == "lib64"
%ghost %{sysconfdir}/pango/pango64.modules
%else
%ghost %{sysconfdir}/pango/pango.modules
%endif

%files devel
%defattr(-, root, root)
%if %suse_version > 810
%{prefix}/bin/ottest
%endif
%{prefix}/%_lib/lib*.so
%{prefix}/%_lib/lib*.*a
#%{prefix}/%_lib/pango/1.4.0/modules/*.la
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/pango-1.0

%files doc
%defattr(-, root, root)
%{prefix}/share/gtk-doc/html/pango

%changelog -n pango
* Tue May 02 2006 - federico@novell.com
- Added pango-104365-use-hinted-metrics.diff to fix the Pango-related
  part of https://bugzilla.novell.com/show_bug.cgi?id=104365.  This
  makes Pango request hinted font metrics from Cairo/Fontconfig, even
  when we are using unhinted rendering.  This is what applications
  expect; they would draw overlapping glyphs otherwise.
* Mon Apr 24 2006 - federico@novell.com
- Added pango-131128-font-extents-rounding.diff to fix
  https://bugzilla.novell.com/show_bug.cgi?id=131128.  This makes
  PangoCairoFcFont round the font extents before exposing them to
  callers, which produces better results with unhinted /
  un-antialiased displays.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan 11 2006 - sbrabec@suse.cz
- Removed libpixman from neededforbuild.
* Fri Dec 30 2005 - mfabian@suse.de
- Bugzilla #53228: Enhance pango to support artifical bold and
  italic (add patch by Zhe Su).
* Wed Dec 14 2005 - sbrabec@suse.cz
- Added related old version cleanups (feature #2852).
* Wed Nov 30 2005 - sbrabec@suse.cz
- Update to version 1.10.2.
* Tue Oct 11 2005 - gekker@suse.de
- Update to version 1.10.1
* Thu Aug 18 2005 - gekker@suse.de
- Update to version 1.10.0
* Mon Aug 01 2005 - gekker@suse.de
- Update to version 1.9.1
* Thu Jul 21 2005 - gekker@suse.de
- Update to version 1.9.0
* Thu Jun 23 2005 - sbrabec@suse.cz
- Fixed devel dependencies.
- Removed .la files for modules.
* Mon Apr 11 2005 - sbrabec@suse.cz
- Fixed Requires of doc subpackage.
* Tue Mar 08 2005 - gekker@suse.de
- Update to version 1.8.1 (GNOME 2.10).
* Mon Jan 03 2005 - gekker@suse.de
- Update to version 1.8.0
* Wed Dec 15 2004 - gekker@suse.de
- Update to version 1.7.0
* Wed Nov 17 2004 - gekker@suse.de
- Update version to 1.6.0.
* Wed Oct 20 2004 - ro@suse.de
- make specfile rpm-3-save
* Thu Aug 26 2004 - federico@ximian.com
- Updated to pango 1.4.1
- Removed pango-strict-aliasing.patch, as an equivalent patch is in
  the tarball now
* Fri May 21 2004 - sbrabec@suse.cz
- Added ottest to devel package.
* Tue Apr 27 2004 - sbrabec@suse.cz
- Fixed pango64.patch.
* Mon Apr 19 2004 - sbrabec@suse.cz
- Strict aliasing fix.
* Thu Apr 15 2004 - sbrabec@suse.cz
- Updated to version 1.4.0 (GNOME 2.6).
* Thu Mar 11 2004 - sbrabec@suse.cz
- Use SuSEconfig biarch wrapper and identical filename for all
  platforms.
- Include README.SuSE about biarch problems.
* Tue Mar 02 2004 - sbrabec@suse.cz
- Bi-arch work-arounds to prevent 32/64 bit conflicts (bug #33705).
  For more see http://bugzilla.gnome.org/show_bug.cgi?id=129534
* Mon Mar 01 2004 - sbrabec@suse.cz
- Fixed random crashes of gnome-terminal using mc (bug #29850).
  http://bugzilla.gnome.org/show_bug.cgi?id=89541
- Use run-pango in %%postun, too.
- Build with -fno-strict-aliasing.
* Tue Jan 06 2004 - adrian@suse.de
- fix build
* Mon Oct 06 2003 - kukuk@suse.de
- Remove unused atk from neededforbuild
* Mon Sep 08 2003 - sbrabec@suse.cz
- Removed invalid %%postun.
* Fri Sep 05 2003 - sbrabec@suse.cz
- Fixed rmdir in %%postun.
* Fri Sep 05 2003 - sbrabec@suse.cz
- Remove orphan files from SuSE 8.2.
* Thu Aug 28 2003 - sbrabec@suse.cz
- Updated to version 1.2.5.
* Tue Jul 15 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Thu Jun 12 2003 - sbrabec@suse.cz
- Branched pango-doc.
- Updated file list.
- Fixed calling of aclocal.
* Wed Jun 11 2003 - sbrabec@suse.cz
- Updated to version 1.2.3.
- Fixed directory packaging.
- Require gnome-filesystem for pango-devel (for docs).
- Updated neededforbuild.
* Mon Apr 28 2003 - sf@suse.de
- added fontconfig* to neededforbuild, to compile pangoft2
* Fri Feb 21 2003 - hhetter@suse.de
- PreReq touch (Bug Id#23897)
* Mon Feb 03 2003 - hhetter@suse.de
- updated to version 1.2.1:
  * Handle older TrueType Open Arabic fonts.
  * Make Win32 backend handle a common TrueType font bug
  * Fix crash with some non-BMP characters
  * Avoid crashing on font descriptions like " 12"
  * Minor build fixes
* Mon Jan 13 2003 - sbrabec@suse.cz
- Added expat to neededforbuild (for new xft2).
* Thu Jan 09 2003 - sbrabec@suse.cz
- Updated to version 1.2.0.
* Thu Nov 07 2002 - hhetter@suse.de
- updated to version 1.0.5
  * Bug fix for pango_scan_int() needed for recent GTK+.
  * Improve language specific charset ordering basic-x11
  * Fix symbols that shouldn't have been exported
  * Some cross-compiling fixes
  * Various build fixes
  * Fix check for no-backend being found.
* Tue Oct 22 2002 - sbrabec@suse.cz
- Remove obsolette install -d -m755 $RPM_BUILD_ROOT/var/adm/SuSEconfig.
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Aug 20 2002 - hhetter@suse.de
- added PreReq: filesystem
* Tue Aug 13 2002 - hhetter@suse.de
- disabled qt support (#17642)
* Mon Aug 05 2002 - hhetter@suse.de
- updated to version 1.0.4, from changes:
  * Add Thai shaper for Xft
  * Support GB-18030, BIG5-HKSCS, CNS-11643, GBK encodings for
  basic-x shaper
  * Support ksc5601.1992-3 fonts in hangul-x shpaer
  * Support new Arabic characters in Unicode 3.2
  * misc Bug fixes
* Mon Jun 17 2002 - jordi@suse.de
- Updated to version 1.0.3
  * Change algorithm for mapping points to pixels on
  Windows to match the system method.
  * Fix family listing for the FT2 backend.
  * Fix memory leak in pango_font_real_get_metrics()
  * Some compilation warning fixes.
  * Fix passing attr_list == NULL to pango_parse_markip
* Thu Jun 13 2002 - ro@suse.de
- fix autotools sequence
* Wed Jun 12 2002 - hhetter@suse.de
- correctly touch the run-pango flag
* Wed Jun 12 2002 - hhetter@suse.de
- fix SuSEconfig script
* Tue Jun 04 2002 - hhetter@suse.de
- update to version 1.0.2 of the stable series
  * Support building with FreeType 2.1.0
  * List Sans,Serif,Monospace when listing fonts for the
  Xft and FT2 backends.
  * Portability fixes.
  * Fix problem with pango-querymodules using g_print().
* Tue Apr 30 2002 - meissner@suse.de
- %%_lib fixes
* Mon Apr 15 2002 - hhetter@suse.de
- fix config script to work with correct path
* Tue Apr 09 2002 - hhetter@suse.de
- filelist correction
* Tue Apr 09 2002 - hhetter@suse.de
- updated to version 1.0.1
* Thu Jan 31 2002 - hhetter@suse.de
- updated to version 0.24 [GNOME desktop-alpha2]
* Thu Jan 17 2002 - hhetter@suse.de
- delete SuSEconfig-run-flag after registering pango modules
* Thu Jan 17 2002 - ro@suse.de
- re-added .so symlinks to devel filelist (without wildcards)
* Wed Jan 16 2002 - hhetter@suse.de
- added SuSEconfig script to register the pango modules
- fixed filelist
* Tue Jan 15 2002 - hhetter@suse.de
- fixed filelist
* Fri Jan 11 2002 - hhetter@suse.de
- updated to version 0.23:
  * Documentation improvements
  * Win32 fixes
  * Improve search for XftConfig
  * Fixes for crashes in Hangul shaper
  * Improvements to Arabic shapers for X and Xft
  * Add jisx0212, jisx0201, Big5 support to basic shaper
* Wed Jan 09 2002 - hhetter@suse.de
- enable freetype2 support
* Tue Dec 11 2001 - hhetter@suse.de
- really build pangox and pango
* Tue Dec 11 2001 - hhetter@suse.de
- added LIBRARY_PATH for broken libtool
* Tue Nov 27 2001 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 platform (pango 0.22)
